---
title: SVGTextPathElement
slug: Web/API/SVGTextPathElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGTextPathElement</code></strong> interface corresponds to the {{SVGElement("textPath")}} element.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Constants">Constants</h2>

<h3 id="Method_types">Method types</h3>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Name</th>
   <th>Value</th>
   <th>Description</th>
  </tr>
  <tr>
   <td><code>TEXTPATH_METHODTYPE_UNKNOWN</code></td>
   <td>0</td>
   <td>The type is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.</td>
  </tr>
  <tr>
   <td><code>TEXTPATH_METHODTYPE_ALIGN</code></td>
   <td>1</td>
   <td>Corresponds to the value <code>align</code>.</td>
  </tr>
  <tr>
   <td><code>TEXTPATH_METHODTYPE_STRETCH</code></td>
   <td>2</td>
   <td>Corresponds to the value <code>stretch</code>.</td>
  </tr>
 </tbody>
</table>

<h3 id="Spacing_types">Spacing types</h3>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Name</th>
   <th>Value</th>
   <th>Description</th>
  </tr>
  <tr>
   <td><code>TEXTPATH_SPACINGTYPE_UNKNOWN</code></td>
   <td>0</td>
   <td>The type is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.</td>
  </tr>
  <tr>
   <td><code>TEXTPATH_SPACINGTYPE_AUTO</code></td>
   <td>1</td>
   <td>Corresponds to the value <code>auto</code>.</td>
  </tr>
  <tr>
   <td><code>TEXTPATH_SPACINGTYPE_EXACT</code></td>
   <td>2</td>
   <td>Corresponds to the value <code>exact</code>.</td>
  </tr>
 </tbody>
</table>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent interface, {{domxref("SVGTextContentElement")}}, and also implements properties of {{domxref("SVGURIReference")}}.</em></p>

<dl>
 <dt>{{domxref("SVGTextPathElement.startOffset")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedLength")}} corresponding to the X component of the {{SVGAttr("startOffset")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGTextPathElement.method")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedEnumeration")}} corresponding to the {{SVGAttr("method")}} attribute of the given element. It takes one of the <code>TEXTPATH_METHODTYPE_*</code> constants defined on this interface.</dd>
 <dt>{{domxref("SVGTextPathElement.spacing")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedEnumeration")}} corresponding to the {{SVGAttr("spacing")}} attribute of the given element. It takes one of the <code>TEXTPATH_SPACINGTYPE_*</code> constants defined on this interface.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface does not provide any specific methods, but implements those of its parent, {{domxref("SVGTextContentElement")}}, and also implements methods of {{domxref("SVGURIReference")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "text.html#InterfaceSVGTextPathElement", "SVGTextPathElement")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#InterfaceSVGTextPathElement", "SVGTextPathElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGTextPathElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("textPath")}}</li>
</ul>
